
QGIS Application - Feature request #8441

Add dropdown list (or autocomplete) of previous entries to new feature dialog

2013-08-11 03:23 AM - Martin Jung

Status: Closed

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 17210

Description

Hey,

i am digitizing and have to create a great number of new vector features. With each new feature i have to enter multiple new attribute

values. The QGIS options allow the automatic reuse of previous feature values upon creation, but the values i use vary just slightly or

repeat themself after an interval.

I think what might be really useful is a dropdown list of previous entries allowing the use to handily select a classification value. Or better

some kind of auto-completion, which speeds up the creation of new features. Just a suggestion to make the new feature dialog (see

screen) or user friendly ;)

Related issues:

Related to QGIS Application - Feature request # 7012: Editable unique value s... Closed 2013-01-20

History

#1 - 2013-08-11 03:29 AM - Nathan Woodrow

This is already possible but due to #7012 it doesn't work correctly when you don't have a prebuilt list.

#2 - 2013-08-11 03:29 AM - Nathan Woodrow

I am fixing #7012 soon so that will fix this also.

#3 - 2013-11-14 04:51 AM - Denis Rouzaud

What about setting an auto completer for line edits with unique values from the layer (not from the previous entries)?

#4 - 2013-11-14 05:16 AM - Paolo Cavallini

We use the value map widget for this, but a simpler way would be good.

#5 - 2013-11-14 05:52 AM - Denis Rouzaud

value map is for unique value, isn't it?

Here, it would just be a helper with already used values.

It could maybe be an option at the field edit type for line edits.
What do you think?

#6 - 2013-11-14 06:04 AM - Denis Rouzaud

at the end, this would be equivalent to have unique values with editable checked.

So it's rather a problem of description.

Not sure it is worth to add an option in line edits...

#7 - 2013-11-14 10:12 PM - Denis Rouzaud

- Status changed from Open to Feedback

- Target version changed from Version 2.0.0 to Future Release - Nice to have

Martin, would you be satisifed by using unique values with editable checked?

#8 - 2013-11-15 03:03 AM - Martin Jung

Yes, if it is easily integrated into the "Create new feature" dialog. All i wanted to do is to digitalize per hand some buildings, streets and parks. All of which

need their own unique identifier as new attribute ("House" or "City Park").

#9 - 2013-11-15 03:04 AM - Denis Rouzaud

it is already integrated.

you should be able to use it right away.

#10 - 2014-06-22 02:57 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

seems this can be closed as the request was fulfilled.
